GnuTLSの脆弱性情報(High: CVE-2020-11501)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

04/04/2020にGnuTLSの脆弱性情報(High: CVE-2020-11501)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


[過去の関連リンク(最新5件)]


一次情報源

GNUTLS-SA-2020-03-31

Priority

CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2020-11501 3.6.13より前のバージョン

Vendor: High

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11501
    • DTLSの問題
    • 3.6.13より前のGnuTLS 3.6.xはDTLSの暗号化に問題がありました。DTLSクライアントは32この"\0"バイトを乱数値の代わりに用いており、DTLSネゴシエーション時のランダム化に寄与していません。これによりDTLSプロトコルのセキュリティ上の保証に問題が生じています。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Apacheの脆弱性情報(Low: CVE-2020-1927, CVE-2020-1934)

次へ

HAProxyの脆弱性情報(Critical: CVE-2020-11100)